Name:           perl-Math-Pari
Version:        2.010500
Release:        1mdk
License:        GPL or Artistic

%define realname        Math-Pari
Group:          Development/Perl
Summary:        Perl interface to PARI
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{realname}-%{version}.tar.bz2
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel pari
Requires:       perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
This package is a Perl interface to famous library PARI
for numerical/scientific/number-theoretic calculations.
It allows use of most PARI functions as Perl functions,
and (almost) seamless merging of PARI and Perl data. In
what follows we suppose prior knowledge of what PARI is
(see ftp://megrez.math.u-bordeaux.fr/pub/pari, or
Math::libPARI).

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Thu Nov  6 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.010500-1mdk
- New package
